Subject: Re: [Tools-discuss] [RSAG] RFC and I-D Citation Tool

From: Ole Jacobsen <[email-masked]>
Date: Sat, 8 Sep 2012 17:09:06 -0700 (PDT)

Alice,

(I have been travelling so apologies for being late to the game here).

I think it is completely reasonable to put some kind of note with this 
tool that notes it is NOT the "official reference format used by the
RFC Production Center" or words to that effect. It is of course 
customizable and it might even make sense to have an option 
(effectively a different tool) to generate whatever format is deemed
the current official one ("click here to generate a citation in 
standard RFC or Internet Draft format").

So to answer your questions, I don't think any of us had any 
intentions beyond getting from an RFC number or I-D filename to
a format which is fairly common in publications. Anything else I would
classify as 'unintended consequences', but we should certain avoid
trying to make your job more difficult.

Ole

Ole J. Jacobsen
Editor and Publisher,  The Internet Protocol Journal
Cisco Systems
Tel: +1 408-527-8972   Mobile: +1 415-370-4628
E-mail: [email-masked]  URL: http://www.cisco.com/ipj
Skype: organdemo

On Fri, 31 Aug 2012, Alice Russo wrote:

> My 2 cents on http://tools.ietf.org/tools/citation/ below. Please 
> note that I'm speaking for myself, not on behalf of the RFC 
> Production Center or RFC Editor.
> 
> As Ole points out, this tool was originally created for creating 
> reference entries for a specific publication in mind, which is not 
> the RFC series.  I'm hoping to clarify the intended use of the tool 
> (I-D authors?) and avoid making this topic more confusing for an I-D 
> author.  And, for the small number of authors who have an I-D 
> approved for publication as an RFC, I'm hoping to avoid "I used the 
> citation tool - why was this changed?"
> 
> The citation libraries that some I-D authors use and that yield 
> entries in the form used in RFCs 
> (http://www.rfc-editor.org/in-notes/rfc-ref.txt) are:
>
> - when using xml2rfc: the XML citation library 
>   (http://xml.resource.org/public/rfc/bibxml/ or bibxml3/)
>
> - when using NroffEdit: the built-in reference feature (which relies 
>   on rfc-ref.txt)
> 
> Regarding RFCs:  Is the tool's default intended for use by I-D 
> authors?  If so, this change would make it match the ones mentioned 
> above:
> 
> Current default for "Citation output template for RFCs":
> {authors.rfclist}, "{doctitle}," {docname}, {date:%B %Y}.
> 
> New (comma moved outside quotes):
> {authors.rfclist}, "{doctitle}", {docname}, {date:%B %Y}.
> 
> Example: Polk, J., Rosen, B., and J. Peterson, "Location Conveyance 
> for the Session Initiation Protocol", RFC 6442, December 2011.
> 
> Regarding Internet-Drafts (a recurring topic, as mentioned):  IMHO, 
> without a decision by the RFC Series Editor to adopt the 
> recommendations of the citations committee 
> (http://tools.ietf.org/html/draft-carpenter-rfc-citation-recs-01), 
> the following (B&C) remain in practice. If the tool's default is 
> intended for I-D authors, is there any desire for A&B to match?
> 
> A) Current default for "Citation output template for drafts":
> {authors.andlist}, "{doctitle}," {date:%B %Y}, {docname}.
> 
> B) What is submitted in an I-D where the author used the xml2rfc citation library:
> {authors.rfclist}, "{doctitle}", {docname} (work in progress), {date:%B %Y}.
> 
> C) What actually goes in an RFC:
> {authors.rfclist}, "{doctitle}", Work in Progress, {date:%B %Y}.
> 
> 
> Thanks,
> Alice
> (again: only speaking for myself)
> _______________________________________________
> RSAG mailing list
> [email-masked]
> https://www.rfc-editor.org/mailman/listinfo/rsag
>

---

From: Stefan Santesson <[email-masked]>
Date: Tue, 11 Sep 2012 11:56:36 +0200

Hi,

There is a recent change in the draft comparison tools that breaks current
users of NroffEdit.

NroffEdit has a feature for comparing the currently edited document
against the latest draft. A copy of the current draft being edited is
stored using FTP to a temporary location and the IETF tools is asked to do
a comparison.

Up until recently that worked fine.

Apparently, the FTP exported draft gets saved with a MIME type of
text/html.
That didn't bother the IETF tool before, but now it refuses to do a
comparison anymore.

I'm not sure why the FTP storage of a textile ends up as text/html, but
apparently is does.

Is there any way to restore the previous functionality of the comparison
tool?

/Sefan